> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/java/createdynamicproxy.md).

# CreateDynamicProxy

Creates a dynamic proxy of the Box Class that is passed to a Java library.

Dynamic proxy lets you pass Box Classes to Java objects.

Java objects can work with the Box Class seamlessly as if they are native Java objects.

## Method Signature

```
CreateDynamicProxy(class=[any], interfaces=[any], classloader=[any])
```

### Arguments

| Argument      | Type  | Required | Description                                                                                                                          | Default |
| ------------- | ----- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ | ------- |
| `class`       | `any` | `true`   | The Box Class to create a dynamic proxy of.                                                                                          |         |
| `interfaces`  | `any` | `true`   | The interfaces that the dynamic proxy should implement. Can be a single class, a single string fqn, or an array of class/string fqns |         |
| `classloader` | `any` | `false`  | The class loader to use when loading the interface classes and creating the proxy. Defaults to the request class loader.             |         |

## Examples

### Tag Syntax

```java
<bx:set instance = new cfc.helloWorld() > 
 <bx:set dynInstnace = createDynamicProxy( instance, [
	"MyInterface"
	] ) > 
 <bx:set x = createObject( "java", "InvokeHelloProxy" ).init( dynInstnace ) > 
 <bx:set y = x.invokeHello() > 
 <bx:output>#y#</bx:output> 

```

## Related


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/java/createdynamicproxy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
